# Uses of Interface
org.eclipse.birt.chart.model.component.MarkerRange

Packages that use MarkerRange
Package
Description
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.script

## Uses of MarkerRange in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event with parameters of type MarkerRange
Modifier and Type
Method
Description
`static StructureSource`
StructureSource.`createMarkerRange(MarkerRange mr)`
Creates a Structure Source for type MarkerRange.

## Uses of MarkerRange in org.eclipse.birt.chart.model.component

Subinterfaces of MarkerRange in org.eclipse.birt.chart.model.component
Modifier and Type
Interface
Description
`interface`
`DialRegion`
A representation of the model object 'Dial Region'.
Methods in org.eclipse.birt.chart.model.component that return MarkerRange
Modifier and Type
Method
Description
`MarkerRange`
MarkerRange.`copyInstance()`
`MarkerRange`
ComponentFactory.`createMarkerRange()`
Returns a new object of class 'Marker Range'.
Methods in org.eclipse.birt.chart.model.component that return types with arguments of type MarkerRange
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<MarkerRange>`
Axis.`getMarkerRanges()`
Returns the value of the 'Marker Ranges' containment reference list.

## Uses of MarkerRange in org.eclipse.birt.chart.model.component.impl

Classes in org.eclipse.birt.chart.model.component.impl that implement MarkerRange
Modifier and Type
Class
Description
`class`
`DialRegionImpl`
An implementation of the model object 'Dial Region'.
`class`
`MarkerRangeImpl`
An implementation of the model object ' Marker Range'.
Methods in org.eclipse.birt.chart.model.component.impl that return MarkerRange
Modifier and Type
Method
Description
`MarkerRange`
MarkerRangeImpl.`copyInstance()`
`static final MarkerRange`
MarkerRangeImpl.`create(Axis ax, DataElement deStart, DataElement deEnd, Fill fillColor)`
A convenience method provided to add a marker range instance to an axis
`static final MarkerRange`
MarkerRangeImpl.`create(Axis ax, DataElement deStart, DataElement deEnd, Fill fillColor, ColorDefinition outlineColor)`
A convenience method provided to add a marker range instance to an axis
`static final MarkerRange`
MarkerRangeImpl.`createDefault(Axis ax, DataElement deStart, DataElement deEnd, Fill fillColor, ColorDefinition outlineColor)`
A convenience method provided to add a marker range instance to an axis
`MarkerRange`
ComponentFactoryImpl.`createMarkerRange()`
Methods in org.eclipse.birt.chart.model.component.impl that return types with arguments of type MarkerRange
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<MarkerRange>`
AxisImpl.`getMarkerRanges()`

## Uses of MarkerRange in org.eclipse.birt.chart.script

Methods in org.eclipse.birt.chart.script with parameters of type MarkerRange
Modifier and Type
Method
Description
`void`
ChartEventHandlerAdapter.`afterDrawMarkerRange(Axis axis, MarkerRange mRange, IChartScriptContext icsc)`
`void`
IChartEventHandler.`afterDrawMarkerRange(Axis axis, MarkerRange mRange, IChartScriptContext icsc)`
Called after drawing each marker range in an Axis.
`void`
ChartEventHandlerAdapter.`beforeDrawMarkerRange(Axis axis, MarkerRange mRange, IChartScriptContext icsc)`
`void`
IChartEventHandler.`beforeDrawMarkerRange(Axis axis, MarkerRange mRange, IChartScriptContext icsc)`
Called before drawing each marker range in an Axis.